  <!-- Cart Modal -->
  <div class="modal fade" id="cart" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
   <div class="modal-dialog modal-lg" role="document">
     <div class="modal-content">
       <div class="modal-header">
         <h5 class="modal-title" id="exampleModalLabel">購物車</h5>
         <button type="button" class="close" data-dismiss="modal" aria-label="Close">
           <span aria-hidden="true">&times;</span>
         </button>
       </div>
       <div class="modal-body">
         <table class="show-cart table">
         </table>
         <div>總金額: $<span class="total-cart"></span></div>
       </div>
       <div class="modal-footer">
         <div style="display:flex;justify-content:center;align-items:center;">
           <div class="font">學號(或姓名)：</div>
           <textarea id="orderPeople" class="font" name="order" style="resize:none;height:40px;" autofocus>陳富國</textarea>
         </div>
         <button type="button" class="btn btn-secondary" data-dismiss="modal">關閉</button>
         <button type="button" class="btn btn-primary" onclick="submit_order();">確認下單</button>
       </div>
     </div>
   </div>
  </div>


  <footer class="page-footer">
    <div class="container">
      <div class="row">
        <div class="col-lg-6 col-md-6 col-sm-12">
          <h3 class="text-uppercase font-weight-bold">富國雞腿王總部基本資料</h6>
          <p>M棟 MB108研究室
          <br/>設備：主機、CPanel虛擬主機管理系統、Plesk虛擬主機管理系統
          <br/>地址：43302臺中市沙鹿區臺灣大道六段1018號</p>
        </div>

        <div class="col-lg-6 col-md-6 col-sm-12">
          <h3 class="text-uppercase font-weight-bold">聯絡資訊</h3>
          <p>Wells Chen
          <br/>info@csim.hk.edu.tw
          <br/>+886 4 26318652
          <br/>fax: 886 4 26521921</p>
        </div>
      <!-- <div class="col-lg-6 col-md-6 col-sm-12">
        <h3 class="form-title">問題反應</h3>
        <div class="form-group">
          <input type="text" class="form-control" placeholder="姓名" name="">
        </div>
        <div class="form-group">
          <input type="email" class="form-control" placeholder="Email" name="email">
        </div>
        <div class="form-group">
          <textarea class="form-control" rows="5"></textarea>
        </div>
        <input type="submit" class="btn btn-secondary btn-block" value="送出資料" name="">
      </div> -->

    </div>
    <div class="footer-copyright text-center">Copyright © 2019 - 富國雞腿王總部. All Rights Reserved.</div>
  </footer>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
  <script src="./js/main.js"></script>
  <script src="./js/cart.js"></script>
  <script src="./js/smtp.js"></script>

  <script type="text/javascript">
   function submit_order(){
     //JSON.stringify將json物件轉換成字串
     // console.log( JSON.stringify(shoppingCart.listCart()));
     //JSON.prse將資料轉換成json物件
     // console.log( JSON.parse(JSON.stringify(shoppingCart.listCart())));
     var cartObject = shoppingCart.listCart();  //購物車物件，內含所有的點餐項目(餐點名稱、價格、數量、小計)
     var cartString = JSON.stringify(cartObject); //將jsons物件轉換成字串形式
     var request = new XMLHttpRequest();
     request.open("POST", "index.php");
     request.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
     request.send("orderPeople="+ $('#orderPeople').val()+"&cartData="+cartString);
     $(".clear-cart").click(); //觸發"清除購物車按鈕"
     $("#cart").modal('hide'); //隱藏購物車對話方塊
   }
  </script>
  <?php
    if (isset($_POST["cartData"]) && isset($_POST["orderPeople"])) {
      $cartData = $_POST["cartData"];
      $orderPeople = $_POST["orderPeople"];
      // Convert JSON string to Array
      $cartArray = json_decode($cartData, true);
      $orderStr = '訂購人：'.$orderPeople."\r\n";
      $orderMoney = 0; //訂單總金額
      // echo count($cartArray) + "<BR>";
      for ($i=0;  $i < count($cartArray); $i++){
        $orderStr .= "第".($i+1)."筆餐點：".$cartArray[$i]["name"]. //餐點名悄
                     ",數量=".$cartArray[$i]["count"]. //數量
                     ",單價=".$cartArray[$i]["price"]. //單價
                     ",小計=".$cartArray[$i]["total"]."\r\n"; //小計
        $orderMoney += intval($cartArray[$i]["total"]);
      }

      $orderStr .= '本筆訂單應收金額為'.$orderMoney."\r\n";

      $to ="fgchen@gmail.com "; //收件者
      $subject = "新便當訂單"; //信件標題
      $msg = $orderStr;
      $headers = "MIME-Version: 1.0" . "\r\n";
      // $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
      $headers .= 'From: wda1902<wda1902@wda1902.stu.fgchen.com>' . "\r\n";

      if(mail($to, $subject, $msg, $headers))
       echo "信件發送成功。";//寄信成功就會顯示的提示訊息
      else
       echo "信件發送失敗！";//寄信失敗顯示的錯誤訊息
    }
  ?>
</body>
</html>
